Error
A valid request URL is required to generate request examples[
{
"subscriptionId": "68bbe3343faf938adbc22ba8",
"externalUserId": "abcd123",
"planCode": "68b74fd80e51671c21e46913",
"startDate": "2025-09-06T07:31:00.000Z",
"endDate": "2025-10-06T07:31:00.000Z",
"device": "android_phone",
"status": "completed"
},
{
"subscriptionId": "68bbe61d3faf938adbc22bb6",
"externalUserId": "efgh123",
"planCode": "68b74fd80e51671c21e46913",
"startDate": "2025-09-03T11:30:00.000Z",
"endDate": "2025-12-02T11:30:00.000Z",
"device": "jio_stb",
"status": "completed"
}
]Subscriptions
List Subscriptions
Returns subscriptions. Without query params, returns all accessible subscriptions. With externalUserId, returns that user’s subscriptions. With subscriptionId, returns a single subscription.
GET
/
subscriptions
List Subscriptions
curl --request GET \
--url {scheme}://{domain}/api/v1/aggregator/subscriptions \
--header 'x-api-key: <api-key>'import requests
url = "{scheme}://{domain}/api/v1/aggregator/subscriptions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('{scheme}://{domain}/api/v1/aggregator/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"subscriptionId": "68bbe3343faf938adbc22ba8",
"externalUserId": "abcd123",
"planCode": "68b74fd80e51671c21e46913",
"startDate": "2025-09-06T07:31:00.000Z",
"endDate": "2025-10-06T07:31:00.000Z",
"device": "android_phone",
"status": "completed"
},
{
"subscriptionId": "68bbe61d3faf938adbc22bb6",
"externalUserId": "efgh123",
"planCode": "68b74fd80e51671c21e46913",
"startDate": "2025-09-03T11:30:00.000Z",
"endDate": "2025-12-02T11:30:00.000Z",
"device": "jio_stb",
"status": "completed"
}
]Authorizations
Query Parameters
Filter by aggregator's user identifier. If provided (and subscriptionId is not), the response is an array.
Returns a single subscription by its ID. If provided, it takes precedence over externalUserId.
Response
OK
- object[]
- object
Available options:
completed, pending, cancelled, expired Available options:
web_browser, android_phone, ios_phone, android_tablet, ios_tablet, android_tv, smart_tv, roku, fire_tv, apple_tv, jio_stb, other 
